package me.wazup.hideandseek.commands.admin;

import org.bukkit.entity.Player;
import org.bukkit.ChatColor;
import me.wazup.hideandseek.PlayerData;
import org.bukkit.Bukkit;
import me.wazup.hideandseek.utils.Utils;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class CoinsCommand extends SubCommand
{
    public CoinsCommand() {
        super("hideandseek.coins", true, "Add/Remove/Set <Player> <Amount>");
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        if (array.length < 4 || (!array[1].equalsIgnoreCase("add") && !array[1].equalsIgnoreCase("remove") && !array[1].equalsIgnoreCase("set")) || !Utils.isNumber(array[3])) {
            return false;
        }
        final Player player = Bukkit.getPlayer(array[2]);
        if (player == null) {
            commandSender.sendMessage((String)customization.messages.get("no_player_found"));
            return true;
        }
        final PlayerData playerData = hideAndSeek.playerData.get(player.getName());
        final String lowerCase = array[1].toLowerCase();
        final int int1 = Integer.parseInt(array[3]);
        if (lowerCase.equalsIgnoreCase("add")) {
            playerData.addCoins(player, int1);
        }
        else if (lowerCase.equalsIgnoreCase("remove")) {
            playerData.removeCoins(player, int1);
        }
        else if (lowerCase.equalsIgnoreCase("set")) {
            playerData.setCoins(player, int1);
        }
        playerData.played = true;
        commandSender.sendMessage(customization.prefix + "You have sucessfully modified " + ChatColor.YELLOW + player.getName() + ChatColor.GOLD + " coins!");
        player.sendMessage((String)customization.messages.get("coins_modified"));
        return true;
    }
}
